PublishToMavenRepository (Gradle API 8.11)

Package org.gradle.api.publish.maven.tasks

## Class PublishToMavenRepository

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.maven.tasks.AbstractPublishToMaven
      - - org.gradle.api.publish.maven.tasks.PublishToMavenRepository

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @DisableCachingByDefault(because="Not worth caching")
      public abstract class PublishToMavenRepository
      extends AbstractPublishToMaven

  Publishes a `MavenPublication` to a `MavenArtifactRepository`.
  Since:
    1.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PublishToMavenRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.gradle.internal.event.ListenerManager` | `getListenerManager()` |
    `MavenArtifactRepository` | `getRepository()` | The repository to publish to.
    `void` | `publish()` |
    `void` | `setRepository​(MavenArtifactRepository repository)` | Sets the repository to publish to.

    - ### Methods inherited from class org.gradle.api.publish.maven.tasks.AbstractPublishToMaven

      `getDuplicatePublicationTracker, getMavenPublishers, getPublication, getPublicationInternal, setPublication`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### PublishToMavenRepository

          public PublishToMavenRepository()

  - ### Method Detail

    - #### getRepository

          @Internal
          public MavenArtifactRepository getRepository()

      The repository to publish to.
      Returns:
        The repository to publish to

    - #### getListenerManager

          @Inject
          protected org.gradle.internal.event.ListenerManager getListenerManager()

    - #### setRepository

          public void setRepository​(MavenArtifactRepository repository)

      Sets the repository to publish to.
      Parameters:
        `repository` - The repository to publish to

    - #### publish

          public void publish()